FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Public Attributes | List of all members
ResizableSplitOption Struct Reference

`#include <component_options.hpp>`

## Public Attributes
Component | main
Component | back
Ref< Direction > | direction = Direction::Left
Ref< int > | main_size
std::function< Element()> | separator_func = [] { return ::ftxui::separator(); }

## Detailed Description

Definition at line 211 of file component_options.hpp.

## Member Data Documentation

## ◆ main

Component main

Definition at line 212 of file component_options.hpp.

## ◆ back

Component back

Definition at line 213 of file component_options.hpp.

## ◆ direction

Ref<Direction> direction = Direction::Left

Definition at line 214 of file component_options.hpp.

## ◆ main_size

Ref<int> main_size

Initial value:
=
(direction() == Direction::Left || direction() == Direction::Right) ? 20
: 10
ftxui::Direction::Right
@ Right
ftxui::Direction::Left
@ Left
ftxui::ResizableSplitOption::direction
Ref< Direction > direction
Definition component_options.hpp:214

Definition at line 215 of file component_options.hpp.

## ◆ separator_func

std::function<Element()> separator_func = [] { return ::ftxui::separator(); }

Definition at line 218 of file component_options.hpp.

The documentation for this struct was generated from the following file:

- component_options.hpp